package com.heyu.api.data.entity.vv;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
*结算
* @author quyixiao
* @since 2025-11-23
*/

@Data
@TableName("vv_my_settlement")
public class VvMySettlementEntity  implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvMySettlementEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                                   // 
    public final static String is_delete = CLASS_NAME + "is_delete";                      // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";                  // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";                  // 修改时间
    public final static String create_timestamp = CLASS_NAME + "create_timestamp";        // 创建时间
    public final static String modify_timestamp = CLASS_NAME + "modify_timestamp";        // 修改时间
    public final static String apply_user_name = CLASS_NAME + "apply_user_name";          // 谁结算的
    public final static String operate_ = CLASS_NAME + "operate";                         // 操作 + ,- 
    public final static String amount_ = CLASS_NAME + "amount";                           // 金额
    public final static String features_ = CLASS_NAME + "features";                       // 特点
    public final static String status_ = CLASS_NAME + "status";                           // apply_for_approval:申请审批，agree_approval: 同意审批 ,reject_approval：拒绝审批 
    public final static String remain_amount = CLASS_NAME + "remain_amount";              // 剩下金额
    public final static String type_ = CLASS_NAME + "type";                               // common,公款
    public final static String apply_reason = CLASS_NAME + "apply_reason";                // 原因
    public final static String reject_reason = CLASS_NAME + "reject_reason";              // 拒绝原因
    public final static String approval_user_name = CLASS_NAME + "approval_user_name";    // 审批用户名
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //创建时间
    private Long createTimestamp;
    //修改时间
    private Long modifyTimestamp;
    //谁结算的
    private String applyUserName;
    //操作 + ,- 
    private String operate;
    //金额
    private BigDecimal amount;
    //特点
    private String features;
    //apply_for_approval:申请审批，agree_approval: 同意审批 ,reject_approval：拒绝审批 
    private String status;
    //剩下金额
    private BigDecimal remainAmount;
    //common,公款
    private String type;
    //原因
    private String applyReason;
    //拒绝原因
    private String rejectReason;
    //审批用户名
    private String approvalUserName;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 创建时间 
     * @return
     */
    public Long getCreateTimestamp() {
        return createTimestamp;
    }
    /**
     * 创建时间 
     * @param createTimestamp
     */
    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    /**
     * 修改时间 
     * @return
     */
    public Long getModifyTimestamp() {
        return modifyTimestamp;
    }
    /**
     * 修改时间 
     * @param modifyTimestamp
     */
    public void setModifyTimestamp(Long modifyTimestamp) {
        this.modifyTimestamp = modifyTimestamp;
    }

    /**
     * 谁结算的 
     * @return
     */
    public String getApplyUserName() {
        return applyUserName;
    }
    /**
     * 谁结算的 
     * @param applyUserName
     */
    public void setApplyUserName(String applyUserName) {
        this.applyUserName = applyUserName;
    }

    /**
     * 操作 + ,-  
     * @return
     */
    public String getOperate() {
        return operate;
    }
    /**
     * 操作 + ,-  
     * @param operate
     */
    public void setOperate(String operate) {
        this.operate = operate;
    }

    /**
     * 金额 
     * @return
     */
    public BigDecimal getAmount() {
        return amount;
    }
    /**
     * 金额 
     * @param amount
     */
    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    /**
     * 特点 
     * @return
     */
    public String getFeatures() {
        return features;
    }
    /**
     * 特点 
     * @param features
     */
    public void setFeatures(String features) {
        this.features = features;
    }

    /**
     * apply_for_approval:申请审批，agree_approval: 同意审批 ,reject_approval：拒绝审批  
     * @return
     */
    public String getStatus() {
        return status;
    }
    /**
     * apply_for_approval:申请审批，agree_approval: 同意审批 ,reject_approval：拒绝审批  
     * @param status
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 剩下金额 
     * @return
     */
    public BigDecimal getRemainAmount() {
        return remainAmount;
    }
    /**
     * 剩下金额 
     * @param remainAmount
     */
    public void setRemainAmount(BigDecimal remainAmount) {
        this.remainAmount = remainAmount;
    }

    /**
     * common,公款 
     * @return
     */
    public String getType() {
        return type;
    }
    /**
     * common,公款 
     * @param type
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 原因 
     * @return
     */
    public String getApplyReason() {
        return applyReason;
    }
    /**
     * 原因 
     * @param applyReason
     */
    public void setApplyReason(String applyReason) {
        this.applyReason = applyReason;
    }

    /**
     * 拒绝原因 
     * @return
     */
    public String getRejectReason() {
        return rejectReason;
    }
    /**
     * 拒绝原因 
     * @param rejectReason
     */
    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    /**
     * 审批用户名 
     * @return
     */
    public String getApprovalUserName() {
        return approvalUserName;
    }
    /**
     * 审批用户名 
     * @param approvalUserName
     */
    public void setApprovalUserName(String approvalUserName) {
        this.approvalUserName = approvalUserName;
    }

    @Override
    public String toString() {
        return "VvMySettlementEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",createTimestamp=" + createTimestamp +
                ",modifyTimestamp=" + modifyTimestamp +
                ",applyUserName=" + applyUserName +
                ",operate=" + operate +
                ",amount=" + amount +
                ",features=" + features +
                ",status=" + status +
                ",remainAmount=" + remainAmount +
                ",type=" + type +
                ",applyReason=" + applyReason +
                ",rejectReason=" + rejectReason +
                ",approvalUserName=" + approvalUserName +
                "}";
    }
}